Debian Bug report logs - #697849
ITP: libtest-command-simple-perl - Perl module to test external commands

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Joost van Baal-Ilić <joostvb+debian-20130110-3@uvt.nl>

Date: Thu, 10 Jan 2013 12:18:02 UTC

Owned by: Joost van Baal-Ilić <joostvb+debian-20130110-3@uvt.nl>

Severity: wishlist

Fixed in version libtest-command-simple-perl/0.04-1

Done: Casper Gielen <casper-alioth@gielen.name>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, c.gielen@uvt.nl, debian-perl@lists.debian.org, wnpp@debian.org, Joost van Baal-Ilić <joostvb+debian-20130110-3@uvt.nl>:
Bug#697849; Package wnpp. (Thu, 10 Jan 2013 12:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joost van Baal-Ilić <joostvb+debian-20130110-3@uvt.nl>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, c.gielen@uvt.nl, debian-perl@lists.debian.org, wnpp@debian.org, Joost van Baal-Ilić <joostvb+debian-20130110-3@uvt.nl>. (Thu, 10 Jan 2013 12:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joost van Baal-Ilić <joostvb+debian-20130110-3@uvt.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libtest-command-simple-perl - Perl module to test external commands
Date: Thu, 10 Jan 2013 13:07:51 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Joost van Baal-Ilić <joostvb+debian-20130110-3@uvt.nl>

* Package name    : libtest-command-simple-perl
  Upstream Author : Darin McBride <dmcbride at cpan.org>
* URL             : http://search.cpan.org/dist/Test-Command-Simple/
* License         : Perl (GPL or Artistic)
  Programming Lang: Perl
  Description     : Perl module to test external commands
 A test module intended to simplify testing of external commands.
 It does so by running the command under IPC::Open3, closing the stdin
 immediately, and reading everything from the command's stdout and stderr.
 It then makes the output available to be tested.
 .
 It is not (yet?) as feature-rich as Test::Cmd, however the
 interface to this is much simpler.  Tests also plug directly into the
 Test::Builder framework, which plays nice with Test::More.


Test::Command::Simple is needed for building (during "make test") the validns
package, that one is being worked on at e.g.
https://launchpad.net/~jelu/+archive/validns .

libtest-command-simple-perl will be maintained by myself and Casper Gielen (
capslock2000-guest @ alioth ).

Bye,

Joost


[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 23 Jan 2013 19:06:04 GMT) Full text and rfc822 format available.

Reply sent to Casper Gielen <casper-alioth@gielen.name>:
You have taken responsibility. (Wed, 30 Jan 2013 11:03:05 GMT) Full text and rfc822 format available.

Notification sent to Joost van Baal-Ilić <joostvb+debian-20130110-3@uvt.nl>:
Bug acknowledged by developer. (Wed, 30 Jan 2013 11:03:05 GMT) Full text and rfc822 format available.

Message #12 received at 697849-close@bugs.debian.org (full text, mbox):

From: Casper Gielen <casper-alioth@gielen.name>
To: 697849-close@bugs.debian.org
Subject: Bug#697849: fixed in libtest-command-simple-perl 0.04-1
Date: Wed, 30 Jan 2013 11:00:05 +0000
Source: libtest-command-simple-perl
Source-Version: 0.04-1

We believe that the bug you reported is fixed in the latest version of
libtest-command-simple-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697849@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Casper Gielen <casper-alioth@gielen.name> (supplier of updated libtest-command-simple-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 8 Jan 2013 13:27:35 +0100
Source: libtest-command-simple-perl
Binary: libtest-command-simple-perl
Architecture: source all
Version: 0.04-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Casper Gielen <casper-alioth@gielen.name>
Description: 
 libtest-command-simple-perl - Perl module to test external commands
Closes: 697849
Changes: 
 libtest-command-simple-perl (0.04-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #697849)
 .
   [ Joost van Baal-Ilić ]
   * packaged regenerated by running dh-make-perl --cpan Test::Command::Simple
     --pkg-perl
   * control: supply description.
   * copyright: extracted from lib/Test/Command/Simple.pm.
   * control: updated from 3.9.2 to 3.9.3 (no changes needed).
Checksums-Sha1: 
 fbe6fd369ad874abe9ea16cf72ddf315ee7eb86a 1874 libtest-command-simple-perl_0.04-1.dsc
 d78c5d74d5dcbfc2fdb7530db88508ef23fe6e6e 5659 libtest-command-simple-perl_0.04.orig.tar.gz
 0f268387769e3c84d5b81319075140f410bb8e0f 1704 libtest-command-simple-perl_0.04-1.debian.tar.gz
 47fe7500a060110c042d3f66d0212b2e5b51b8a4 10172 libtest-command-simple-perl_0.04-1_all.deb
Checksums-Sha256: 
 9f0d0ae60783f05f1039affafe0a72802b630c4e0c15589b13d6509605b5333c 1874 libtest-command-simple-perl_0.04-1.dsc
 8dd5bd30e093ba7b8b5612ccdb3a18af984341a9da5818407699e7b3d38c99d6 5659 libtest-command-simple-perl_0.04.orig.tar.gz
 16d73caf1f52a44c9fced2dfb33544d1d6bd379d195721b1adaaf50218a848e0 1704 libtest-command-simple-perl_0.04-1.debian.tar.gz
 49233fee3f6bbb1578237ea51654a777f3561d582cdbb539aa6ef3e0df623372 10172 libtest-command-simple-perl_0.04-1_all.deb
Files: 
 2c3d40efa02b2f6495ab1913a3941bfd 1874 perl optional libtest-command-simple-perl_0.04-1.dsc
 5e33726ea6933396eea7f2bc6977c0bc 5659 perl optional libtest-command-simple-perl_0.04.orig.tar.gz
 889eec18e28c3c607a51176abd6d0111 1704 perl optional libtest-command-simple-perl_0.04-1.debian.tar.gz
 1c491f3bd271ba42ca3926fe4485b82f 10172 perl optional libtest-command-simple-perl_0.04-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBAgAGBQJQ//ZzAAoJEDNRenKl5rDIQdMIALc1XBqB4VIPwpQ9QiKbfzQA
2aKbae0hbe5L3kbzobVwOsE18Bm0oU33grhrmvRAAOxhiUZm/7XSwK4DnLqw0Rhl
dWz8dXlpJbfRDwV7OgtXzVAe0dmGoHZnm9uehDS7njCOvzf3c9xtrRnmKfb2Vg0+
hYF3YHimNUafZtH+MrfAqyJF0vlxAM25vf6BRB0iv3A8r2QGFIxP3fqIAyGHXVd4
jdaQIusVsFXHYA+PE5gFOt4bw+vJI3ZB5POcDgIeLslhi3eUhonb1AWED151fEDi
OKPn4bn5pc3j2fIwruAwO2KrxKz/RckNmTK7h1ZshVxX4dq7Xhr1mGZ7+ZDW068=
=GvBg
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 28 Feb 2013 07:26:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 09:00:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.